List test sessions
curl --request GET \
--url https://api.closebot.com/bot/{botId}/testSession \
--header 'X-CB-KEY: <api-key>'{
"leads": [
{
"id": "<string>",
"name": "<string>",
"contactId": "<string>",
"lastMessageTime": "2023-11-07T05:31:56Z",
"lastMessage": "<string>",
"lastMessageDirection": "<string>",
"lastMessageBotId": "<string>",
"mostRecentFailureReason": "<string>",
"mimicSourceId": "<string>",
"starred": true,
"unread": true,
"source": {
"name": "<string>",
"id": "<string>"
},
"wontRespondUntil": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"fields": [
{
"field": "<string>",
"name": "<string>",
"value": "<string>",
"aiProduced": true
}
],
"instances": [
{
"botId": "<string>",
"botVersion": "<string>",
"followUpTimezoneKind": "<string>",
"followUpTimezone": "<string>",
"followUpTime": "2023-11-07T05:31:56Z",
"isSmartFollowUpTime": true,
"scheduleRespondTime": "2023-11-07T05:31:56Z"
}
]
}
],
"total": 123
}BotTesting
List test sessions
GET
/
bot
/
{botId}
/
testSession
List test sessions
curl --request GET \
--url https://api.closebot.com/bot/{botId}/testSession \
--header 'X-CB-KEY: <api-key>'{
"leads": [
{
"id": "<string>",
"name": "<string>",
"contactId": "<string>",
"lastMessageTime": "2023-11-07T05:31:56Z",
"lastMessage": "<string>",
"lastMessageDirection": "<string>",
"lastMessageBotId": "<string>",
"mostRecentFailureReason": "<string>",
"mimicSourceId": "<string>",
"starred": true,
"unread": true,
"source": {
"name": "<string>",
"id": "<string>"
},
"wontRespondUntil": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"fields": [
{
"field": "<string>",
"name": "<string>",
"value": "<string>",
"aiProduced": true
}
],
"instances": [
{
"botId": "<string>",
"botVersion": "<string>",
"followUpTimezoneKind": "<string>",
"followUpTimezone": "<string>",
"followUpTime": "2023-11-07T05:31:56Z",
"isSmartFollowUpTime": true,
"scheduleRespondTime": "2023-11-07T05:31:56Z"
}
]
}
],
"total": 123
}Authorizations
CloseBot API Key Authorization
Path Parameters
The bot ID.
Query Parameters
The offset.
The maximum count.
⌘I

